Skip to main content
GET
/
getRecurringOrders
getRecurringOrders
curl --request GET \
  --url https://api.jup.ag/recurring/v1/getRecurringOrders \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/recurring/v1/getRecurringOrders"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jup.ag/recurring/v1/getRecurringOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
  "orderStatus": "active",
  "time": [
    {
      "userPubkey": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
      "orderKey": "8mF4HKoPQNmtbRvTRqotb4LW3pz5rR3eB7owZL9FVKIW",
      "inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "outputMint": "So11111111111111111111111111111111111111112",
      "inDeposited": "100.0",
      "inWithdrawn": "0.0",
      "rawInDeposited": "100000000",
      "rawInWithdrawn": "0",
      "cycleFrequency": 60,
      "outWithdrawn": "0.0",
      "inAmountPerCycle": "10.0",
      "minOutAmount": "0",
      "maxOutAmount": "0",
      "inUsed": "10.0",
      "outReceived": "0.058",
      "rawOutWithdrawn": "0",
      "rawInAmountPerCycle": "10000000",
      "rawMinOutAmount": "0",
      "rawMaxOutAmount": "0",
      "rawInUsed": "10000000",
      "rawOutReceived": "58000000",
      "openTx": "4xKpN2...",
      "closeTx": null,
      "userClosed": false,
      "createdAt": "2025-03-15T10:30:00.000Z",
      "updatedAt": "2025-03-15T11:30:00.000Z",
      "trades": [
        {
          "orderKey": "8mF4HKoPQNmtbRvTRqotb4LW3pz5rR3eB7owZL9FVKIW",
          "keeper": "J1TnP8zvVxbtF5KFp5xRmWuvG9McnhzmBd9XGfCyuxFP",
          "inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
          "outputMint": "So11111111111111111111111111111111111111112",
          "inputAmount": "10.0",
          "outputAmount": "0.058",
          "rawInputAmount": "10000000",
          "rawOutputAmount": "58000000",
          "feeMint": "So11111111111111111111111111111111111111112",
          "feeAmount": "0.000058",
          "rawFeeAmount": "58000",
          "txId": "3yZe7d...",
          "confirmedAt": "2025-03-15T11:30:00.000Z",
          "action": "Fill",
          "productMeta": null
        }
      ]
    }
  ],
  "price": [],
  "all": [],
  "totalPages": 1,
  "page": 1
}
NOTE
  • recurringType is used to denote the type of recurring order, only time
  • DEPRECATED: recurringType: price based orders are deprecated

Authorizations

x-api-key
string
header
required

Query Parameters

recurringType
enum<string>
required

Type of recurring order. DEPRECATED: The 'price' value is deprecated.

Available options:
time,
price,
all
orderStatus
enum<string>
required
Available options:
active,
history
user
string
required
page
integer<int64> | null
required
Required range: x >= 1
mint
string | null
required
includeFailedTx
boolean
required

Response

Successfully retrieved recurring orders

orderStatus
enum<string>
required
Available options:
active,
history
page
integer<int64>
required
Required range: x >= 1
time
object[]
required
totalPages
integer<int64>
required
Required range: x >= 1
user
string
required